#! /usr/bin/env python
"""Print shown files sorted by date

This file is a part of XSetBg.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2006-2015 PhiloSoft Design"
__license__ = "GNU GPL"

import sys
from m_lib.defenc import default_encoding
from xsetbg_db import xsetbg_db

if not xsetbg_db:
    sys.exit("Error: no database found")

for row in xsetbg_db.select('last_shown IS NOT NULL', orderBy='-last_shown'):
    print row.full_name.encode(default_encoding)
